#
# Conditional build:
%bcond_without	static_libs	# don't build static libraries

%define		ver	%(echo %{version} | tr . _)
Summary:	International Components for Unicode
Summary(pl.UTF-8):	Międzynarodowe komponenty dla unikodu
Name:		icu
Version:	52.1
Release:	1
License:	MIT-like
Group:		Libraries
Source0:	http://download.icu-project.org/files/icu4c/%{version}/%{name}4c-%{ver}-src.tgz
# Source0-md5:	9e96ed4c1d99c0d14ac03c140f9f346c
Patch0:		ac264-hack.patch
URL:		http://www.icu-project.org/
BuildRequires:	autoconf >= 2.68
BuildRequires:	libstdc++-devel
Requires:	libicu = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ICU is a set of C and C++ libraries that provides robust and
full-featured Unicode and locale support. The library provides
calendar support, conversions for many character sets, language
sensitive collation, date and time formatting, support for many
locales, message catalogs and resources, message formatting,
normalization, number and currency formatting, time zones support,
transliteration, word, line and sentence breaking, etc.

This package contains the Unicode character database and derived
properties, along with converters and time zones data.

%description -l pl.UTF-8
ICU jest grupą bibliotek C i C++, które dostarczają kompletną i pełną
obsługę Unikodu i lokalizacji. Biblioteka dostarcza obsługę
kalendarza, konwersje dla wielu zestawów znaków, sortowanie zależne od
języka, formatowanie daty i czasu, wsparcie dla wielu lokalizacji,
katalogów komunikatów i zasobów, formatowanie komunikatów,
normalizację, formatowanie liczb i walut, obsługę stref czasowych,
transliterację, łamanie słów, linii i zdań itp.

Ten pakiet zawiera bazę znaków unikodowych i pochodne własności wraz z
konwerterami i danymi stref czasowych.

%package -n libicu
Summary:	International Components for Unicode (libraries)
Summary(pl.UTF-8):	Międzynarodowe Komponenty dla Unikodu (biblioteki)
Group:		Libraries
Obsoletes:	libicu30

%description -n libicu
ICU is a set of C and C++ libraries that provides robust and
full-featured Unicode support. This package contains the runtime
libraries for ICU. It does not contain any of the data files needed at
runtime and present in the `icu' package.

%description -n libicu -l pl.UTF-8
ICU jest grupą bibliotek C i C++, które dostarczają kompletną i pełną
obsługę Unikodu i lokalizacji. Ten pakiet zawiera biblioteki
uruchomieniowe ICU. Nie zawiera żadnych plików z danymi potrzebnymi w
czasie działania i obecnymi w pakietach "icu".

%package -n libicu-devel
Summary:	International Components for Unicode (development files)
Summary(pl.UTF-8):	Międzynarodowe komponenty dla Unikodu (pliki dla programistów)
Group:		Development/Libraries
Requires:	libicu = %{version}-%{release}

%description -n libicu-devel
ICU is a set of C and C++ libraries that provides robust and
full-featured Unicode support. This package contains the development
files for ICU.

%description -n libicu-devel -l pl.UTF-8
ICU jest grupą bibliotek C i C++, które dostarczają kompletną i pełną
obsługę Unikodu i lokalizacji. Ten pakiet zawiera pliki
programistyczne ICU.

%package -n libicu-static
Summary:	International Components for Unicode (static libraries)
Summary(pl.UTF-8):	Międzynarodowe komponenty dla Unikodu (biblioteki statyczne)
Group:		Development/Libraries
Requires:	libicu-devel = %{version}-%{release}

%description -n libicu-static
ICU is a set of C and C++ libraries that provides robust and
full-featured Unicode support. This package contains the static 
libraries for ICU.

%description -n libicu-static -l pl.UTF-8
ICU jest grupą bibliotek C i C++, które dostarczają kompletną i pełną
obsługę Unikodu i lokalizacji. Ten pakiet zawiera statyczne
biblioteki programistyczne ICU.

%prep
%setup -q -n %{name}
%patch0 -p1

%build
cd source
%{__autoconf}
%configure \
	--sbindir=%{_bindir} \
	--with-data-packaging=library \
	%{?with_static_libs:--enable-static} \
	--disable-samples

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C source install \
	DESTDIR=$RPM_BUILD_ROOT

for f in icu-i18n icu-io icu-le icu-lx icu-uc ; do
sed -i \
	-e 's/\$(THREADSCXXFLAGS)//' \
	-e 's/\$(THREADSCFLAGS)//' \
	-e 's/\$(THREADSCPPFLAGS)/-D_REENTRANT/' $RPM_BUILD_ROOT%{_pkgconfigdir}/${f}.pc
done

# help rpm to generate deps
chmod +x $RPM_BUILD_ROOT%{_libdir}/lib*.so.*.*

# rpm is too stupid sometimes and fails on symlinks to symlinked resources
# (reporting unresolved dependency at install time)
for f in Makefile.inc pkgdata.inc ; do
	ln -sf %{version}/${f} $RPM_BUILD_ROOT%{_libdir}/%{name}/${f}
done

%{__rm} $RPM_BUILD_ROOT%{_datadir}/icu/%{version}/license.html

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n libicu -p /sbin/ldconfig
%postun	-n libicu -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc license.html readme.html
%attr(755,root,root) %{_bindir}/derb
%attr(755,root,root) %{_bindir}/gen*
%attr(755,root,root) %{_bindir}/icuinfo
%attr(755,root,root) %{_bindir}/icupkg
%attr(755,root,root) %{_bindir}/makeconv
%attr(755,root,root) %{_bindir}/pkgdata
%attr(755,root,root) %{_bindir}/uconv
%{_mandir}/man1/derb.1*
%{_mandir}/man1/gen*.1*
%{_mandir}/man1/makeconv.1*
%{_mandir}/man1/pkgdata.1*
%{_mandir}/man1/uconv.1*
%{_mandir}/man8/gen*.8*
%{_mandir}/man8/icupkg.8*

%files -n libicu
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libicu*.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libicu*.so.52

%files -n libicu-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/icu-config
%attr(755,root,root) %{_libdir}/libicu*.so
%{_pkgconfigdir}/icu-i18n.pc
%{_pkgconfigdir}/icu-io.pc
%{_pkgconfigdir}/icu-le.pc
%{_pkgconfigdir}/icu-lx.pc
%{_pkgconfigdir}/icu-uc.pc
%{_includedir}/unicode
%{_includedir}/layout
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.inc
%dir %{_libdir}/%{name}/current
%dir %{_libdir}/%{name}/%{version}
%{_libdir}/%{name}/%{version}/*.inc
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/%{version}
%{_datadir}/%{name}/%{version}/config
%attr(755,root,root) %{_datadir}/%{name}/%{version}/install-sh
%attr(755,root,root) %{_datadir}/%{name}/%{version}/mkinstalldirs
%{_mandir}/man1/icu-config.1*

%if %{with static_libs}
%files -n libicu-static
%defattr(644,root,root,755)
%{_libdir}/libicu*.a
%endif
%changelog
* Thu Oct 31 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/icu.git;a=log;h=master

* Wed Oct 16 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 3b34919
- up to 52.1

* Thu Sep 12 2013 Jakub Bogusz <qboosh@pld-linux.org> 4d8baeb
- updated to 51.2

* Sat Apr 13 2013 Jakub Bogusz <qboosh@pld-linux.org> c9cdfd0
- updated to 51.1 (note: new sonames)

* Sun Feb 24 2013 Jakub Bogusz <qboosh@pld-linux.org> 8090c31
- updated to 50.1.2 (note: new sonames)

* Wed Dec 05 2012 Elan Ruusamäe <glen@delfi.ee> 84b3854
- add static_libs bcond

* Tue Dec 04 2012 Mariusz Mazur <mmazur@pld-linux.org> a59b411
- Add geneartion of libicu-static

* Wed Sep 19 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> ed6e54e
- release 2 (by relup.sh)

* Sun Jun 24 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 6c6806e
- explictly as --with-data-packaging=library

* Sat Jun 23 2012 Jakub Bogusz <qboosh@pld-linux.org> 59f7b7f
- updated to 49.1.2

* Sat Jun 23 2012 Elan Ruusamäe <glen@pld-linux.org> fde4502
- restore 49.1.1 on HEAD, 4.8 is on ICU_4_8 branch
  (versioning scheme changed; new sonames)

* Tue Jun 19 2012 lmasko <lmasko@pld-linux.org> 43c31f3
- Maitenance release 4.8.1.1. Helps with my problems with libreoffice.

* Wed Apr 11 2012 Jakub Bogusz <qboosh@pld-linux.org> 723ae5c
- updated to 49.1.1 (versioning scheme changed; new sonames)

* Sun Oct 09 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 0bae544
- up to 4.8.1

* Sun Mar 20 2011 Jakub Bogusz <qboosh@pld-linux.org> 5735de1
- updated to 4.6.1 (note: new sonames)
- removed obsolete pkgconfig patch and external icu-config source

* Wed Jun 30 2010 shadzik <shadzik@pld-linux.org> 68f3329
- rel 2

* Sat May 22 2010 Tomasz Pala <gotar@pld-linux.org> 5b19d04
- fixed Group

* Wed May 19 2010 Jakub Bogusz <qboosh@pld-linux.org> 53e9cdd
- updated to 4.4.1 (note: sonames changed)
- more verbose files list

* Tue Sep 22 2009 Elan Ruusamäe <glen@pld-linux.org> 8597e02
- release 3

* Tue Sep 22 2009 Elan Ruusamäe <glen@pld-linux.org> fc13c3e
- add --incpkgdatafile (http://icu-project.org/repos/icu/icu/trunk/source/config/icu-config-bottom) for for /usr/bin/pkgdata

* Mon Sep 21 2009 Elan Ruusamäe <glen@pld-linux.org> 5e7cb58
- icu-locales package was dropped in 3.0-1

